import { V as u, d as D, r as d, a as B, Z as l, cZ as S, c as I, o as N, w as e, j as n, W as A, l as a, H as E, aI as M, p as R, A as V, B as $, i as q, X as P, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as W } from "./Table-0PViRYCf.js";
import { _ as X } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { d as Z, _ as j, g as z, __tla as __tla_1 } from "./Modal.vue_vue_type_script_setup_true_lang-B6JZ2YH9.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./componentMap-CElCaWis.js";
import "./propTypes-CebMRUpe.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./componentSetting-DVhNDBTO.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./tabsView-BXskTdVh.js";
import "./Flex-CTSf12gq.js";
import "./BasicForm-dL_oCSPM.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./ImageUpload-DUsnro3W.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./template-rpthWlT9.js";
import "./useForm-CKmgcynv.js";
let Io;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    let r, F;
    ({ t: r } = u());
    F = [
        {
            title: r("hsqe.planner.no"),
            key: "",
            width: 60,
            render (i, o) {
                return o + 1;
            }
        },
        {
            title: r("mdm.inspection.smsManCategory"),
            key: "categoryName"
        },
        {
            title: r("mdm.inspection.smsInsCategory"),
            key: "auditTypeNameEn"
        },
        {
            title: r("mdm.inspection.smsInterval"),
            key: "intervalTime",
            render (i) {
                return i.intervalTime ? i.intervalTime + " day" : "-";
            }
        }
    ];
    Io = D({
        __name: "index",
        setup (i) {
            const { t: o } = u(), _ = S(), m = d(), s = d(), f = B({
                width: 120,
                title: o("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (t) {
                    return l(X, {
                        style: "text",
                        actions: [
                            {
                                label: o("common.optionsEditText"),
                                labelShow: !1,
                                icon: l("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: y.bind(null, t)
                            },
                            {
                                label: o("common.optionsDelText"),
                                labelShow: !1,
                                icon: l("i", {
                                    class: "iconfont icon-Delete red"
                                }),
                                isConfirm: !0,
                                confirmContent: o("common.dialogContentDeleteText"),
                                onPositiveClick: ()=>{
                                    T(t);
                                }
                            }
                        ]
                    });
                }
            });
            function g() {
                s.value?.showModal(o("common.addText"), null);
            }
            function y(t) {
                s.value?.showModal(o("common.optionsEditText"), t);
            }
            async function T(t) {
                await Z(t.id), _.success(o("common.optionsDelSuccessText")), c();
            }
            async function x(t) {
                return {
                    list: await z(t)
                };
            }
            function c() {
                m.value?.reload();
            }
            return (t, p)=>{
                const C = $, b = M, k = E, h = A, w = P;
                return N(), I(w, null, {
                    default: e(()=>[
                            n(h, {
                                bordered: !1,
                                class: "proCard"
                            }, {
                                default: e(()=>[
                                        n(a(W), {
                                            ref_key: "tableRef",
                                            ref: m,
                                            columns: a(F),
                                            request: x,
                                            "row-key": (v)=>v.id,
                                            actionColumn: a(f),
                                            autoScrollX: !0,
                                            "virtual-scroll": "",
                                            pagination: !1
                                        }, {
                                            tableTitle: e(()=>[
                                                    n(k, null, {
                                                        default: e(()=>[
                                                                n(b, {
                                                                    trigger: "hover"
                                                                }, {
                                                                    trigger: e(()=>[
                                                                            n(C, {
                                                                                type: "primary",
                                                                                strong: "",
                                                                                bordered: "",
                                                                                secondary: "",
                                                                                class: "size-7",
                                                                                onClick: g
                                                                            }, {
                                                                                icon: e(()=>p[0] || (p[0] = [
                                                                                        q("i", {
                                                                                            class: "iconfont icon-ADD"
                                                                                        }, null, -1)
                                                                                    ])),
                                                                                _: 1
                                                                            })
                                                                        ]),
                                                                    default: e(()=>[
                                                                            R(" " + V(a(o)("common.addText")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "row-key",
                                            "actionColumn"
                                        ])
                                    ]),
                                _: 1
                            }),
                            n(j, {
                                ref_key: "modalRef",
                                ref: s,
                                onSuccess: c
                            }, null, 512)
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Io as default, __tla };
